LibreOffice: GroupUpdate Service Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
GroupUpdate Service Referencepublished

provides write access to a predefined heterogeneous group of values and nested trees as part of a hierarchy. More...

`import "GroupUpdate.idl";`

Inheritance diagram for GroupUpdate:

## Included Services
service | GroupAccess
| is the basic service providing read access to a group element of the hierarchy.
Included Services inherited from GroupAccess
service | HierarchyAccess
| is the basic service for accessing child and descendent nodes using a view of the tree as a container of values and structuring elements.
service | PropertyHierarchy
| is the basic service for accessing child and descendent nodes using a view of the tree as a hierarchy of properties and subproperties.

## Exported Interfaces
interface | com::sun::star::container::XNameReplace
| allows replacing values.
Exported Interfaces inherited from GroupAccess
interface | com::sun::star::beans::XPropertyState
| provides access to the state of child elements of an implementation.
interface | com::sun::star::beans::XMultiPropertyStates
| provides access to the states of multiple child elements of an implementation.
Exported Interfaces inherited from HierarchyAccess
interface | com::sun::star::container::XNameAccess
| allows access to immediate children of this node.
interface | com::sun::star::container::XHierarchicalNameAccess
| allows access to all descendants of this node
interface | com::sun::star::container::XContainer
| allows attaching listeners to this node to monitor changes to immediate child nodes.
interface | com::sun::star::beans::XExactName
| provides support for inexact names.
interface | com::sun::star::beans::XPropertySetInfo
| provides information about immediate children of this node.
interface | com::sun::star::beans::XPropertyState
| provides access to the state of child elements of an implementation.
interface | com::sun::star::beans::XMultiPropertyStates
| provides access to the states of multiple child elements of an implementation.
Exported Interfaces inherited from PropertyHierarchy
interface | com::sun::star::beans::XPropertySet
| provides access to and information about the immediate properties of an implementation.
interface | com::sun::star::beans::XMultiPropertySet
| provides access to and information about the immediate properties of an implementation.
interface | com::sun::star::beans::XHierarchicalPropertySet
| provides access to and information about the whole hierarchy of properties and subproperties of an implementation.
interface | com::sun::star::beans::XMultiHierarchicalPropertySet
| provides access to and information about the whole hierarchy of properties and subproperties of an implementation.

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XHierarchicalNameAccess
any | getByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
boolean | hasByHierarchicalName ([in] string aName)
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed.
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container.
Public Member Functions inherited from XExactName
string | getExactName ([in] string aApproximateName)
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Public Member Functions inherited from XHierarchicalPropertySet
com::sun::star::beans::XHierarchicalPropertySetInfo | getHierarchicalPropertySetInfo ()
| retrieve information about the hierarchy of properties
void | setHierarchicalPropertyValue ([in] string aHierarchicalPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified nested name.
any | getHierarchicalPropertyValue ([in] string aHierarchicalPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XMultiHierarchicalPropertySet
com::sun::star::beans::XHierarchicalPropertySetInfo | getHierarchicalPropertySetInfo ()
| retrieve information about the hierarchy of properties
void | setHierarchicalPropertyValues ([in] sequence< string > aHierarchicalPropertyNames, [in] sequence< any > Values) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of the properties with the specified nested names.
sequence< any > | getHierarchicalPropertyValues ([in] sequence< string > aPropertyNames) raises ( com::sun::star::lang::IllegalArgumentException , com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element.
Protected Member Functions inherited from XPropertySetInfo
sequence< com::sun::star::beans::Property > | getProperties ()
com::sun::star::beans::Property | getPropertyByName ([in] string aName) raises ( com::sun::star::beans::UnknownPropertyException )
boolean | hasPropertyByName ([in] string Name)
Protected Member Functions inherited from XPropertyState
com::sun::star::beans::PropertyState | getPropertyState ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setPropertyToDefault ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| Sets the property to default value.
any | getPropertyDefault ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XMultiPropertyStates
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setAllPropertiesToDefault ()
| sets all properties to their default values.
void | setPropertiesToDefault ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException )
| sets the specified properties to their default values.
sequence< any > | getPropertyDefaults ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )

## Detailed Description

provides write access to a predefined heterogeneous group of values and nested trees as part of a hierarchy.

This service extends GroupAccess to support modifying values.

## Exported Interfaces

## ◆ GroupAccess

service GroupAccess

is the basic service providing read access to a group element of the hierarchy.

Any child and descendant objects support modifying access as well, unless they represent a read-only tree element as indicated by com::sun::star::beans::PropertyAttribute::READONLY.

## Exported Interfaces

## ◆ com::sun::star::container::XNameReplace

interface com::sun::star::container::XNameReplace

allows replacing values.

This service extends the interface com::sun::star::container::XNameAccess supported by service GroupAccess to allow changing values. This strongly overlaps with functionality available through PropertyHierarchy (from GroupAccess), so that `xGroup.setPropertyValue( aName, aValue )` is equivalent to `xGroup.replaceByName( aName, aValue )`.

Changes can be observed by registering a listener with interface com::sun::star::beans::XPropertySet or com::sun::star::beans::XMultiPropertySet.

Elements of this group may be replaced only if they are of simple type. The type returned by com::sun::star::container::XElementAccess::getElementType() must not be an interface type. Replacing whole subtrees is not supported.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/GroupUpdate.idl